Ahoy = {}

Ahoy_Settings_New = {}
Ahoy_Version = "1.06";

function Ahoy_LoadSettings()
	Ahoy_Settings = Ahoy_Settings or {} -- create table if one doesn't exist
	Ahoy_Settings_New = Ahoy_Settings -- assign settings declared above
end

function Ahoy_SetToggleDefaults()
	-- toggle default states
	if Ahoy_Settings_New.Toggle_MobTargetLootDisplay == nil then Ahoy_Settings_New.Toggle_MobTargetLootDisplay = true; end
	if Ahoy_Settings_New.Toggle_MobMouseOverCategory == nil then Ahoy_Settings_New.Toggle_MobMouseOverCategory = true; end
	if Ahoy_Settings_New.Toggle_ShowRewards == nil then Ahoy_Settings_New.Toggle_ShowRewards = true; end
	if Ahoy_Settings_New.Toggle_AutoShowAhoyOnMissionTable == nil then Ahoy_Settings_New.Toggle_AutoShowAhoyOnMissionTable = true; end
	if Ahoy_Settings_New.Toggle_AutoShowAhoyOnIsland == nil then Ahoy_Settings_New.Toggle_AutoShowAhoyOnIsland = true; end
	if Ahoy_Settings_New.Toggle_HideMinimapIcon == nil then Ahoy_Settings_New.Toggle_HideMinimapIcon = false; end
	if Ahoy_Settings_New.WindowLocked == nil then Ahoy_Settings_New.WindowLocked = false; end
	if Ahoy_Settings_New.WindowScale == nil then Ahoy_Settings_New.WindowScale = 1; end
	if Ahoy_Settings_New.ShowCollected == nil then Ahoy_Settings_New.ShowCollected = true; end

	if Ahoy_Settings_New.ShowCollected == false then
		AhoyLootToolbarCollectedButton_Texture:SetTexCoord(0.460, 0.530, 0.640625 - 0.067, 0.640625) -- eye closed 1
	else
		AhoyLootToolbarCollectedButton_Texture:SetTexCoord(0.360, 0.430, 0.640625 - 0.067, 0.640625) -- eye open
	end

end